﻿@using Portal.Models;
@using System.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Data;
@using Portal.Controllers;
              
@model Toyota.Common.Web.MVC.ModelHolder
           
@{     
    Layout = "~/Views/Layout/Dashboard.cshtml";
}
@*fid.marini 16/11/2012*@

@section Script{
    $(document).ready(function(){
        CPODataGrid.Refresh();
    });

}

<script type="text/javascript">
    var currentCustomerID;
    function OnHyperLinkClick(customerID) {
        PRNo = customerID;
        CPODataGridDetail.PerformCallback();
    }
    function OnDetailGridBeginCallback(s, e) {
        e.customArgs["PRNo"] = PRNo;
    }
    function OnDetailGridEndCallback(s, e) {
        if (!popup.IsVisible())
            popup.Show();
    }
    function OnClosePopup(s, e) {
        if (popup.IsVisible())
            CPODataGridDetail.CancelEdit();
            popup.Hide();
    }
</script>



<div style="padding:0px; padding-right:0px;">
@*    @Html.DevExpress().RoundPanel(
                settings =>
                {
                    settings.Name = "Header";
                    settings.HeaderText = "Create Purchase Requisition";
                    settings.ShowHeader = true;
                    settings.View = DevExpress.Web.ASPxRoundPanel.View.GroupBox;
                    settings.SetContent(() =>
                    {
                        Html.RenderAction("PartialHeader", "ComponentPartOrder");
                    });
                }).GetHtml()*@
                <div style="width:30%;border:1px solid #142B94; background-color:#DEECFD; padding:10px;">
                @Html.Partial("HeaderComponentPartOrder")
                </div>
</div>
<div style="height:8px;"></div> 
<div style="padding:0px; padding-right:0px;">
     <table width="100%">
        <tr>
            <td>
                @Html.Partial("CPODataGrid", Model)
            </td>
        </tr>
     </table>
</div>

@Html.DevExpress().PopupControl(settings => {
    settings.Name = "popup";
    settings.Width = Unit.Percentage(100);
    settings.EnableAnimation = true;
    settings.HeaderText = "Component Part Order Details";
    settings.Modal = true;
    settings.ShowShadow = true;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.SetContent(() => {
        ViewContext.Writer.Write("<table width=\"100%\" border=\"0\"> <tr><td>&nbsp;</td></tr><tr><td align=\"left\" width=\"50px\">");
        Html.DevExpress().Button(c =>
        {
            c.Name = "btnNewDetail";
            c.Text = "New";
        }).Render();
        ViewContext.Writer.Write("</td><td align=\"left\">");
        Html.DevExpress().Button(c =>
        {
            c.Name = "btnDeleteDetail";
            c.Text = "Delete";
        }).Render();
        ViewContext.Writer.Write("</td></tr></table>");                   
        Html.RenderPartial("CPODataGridDetail", null);
    });
}).GetHtml()


@Html.DevExpress().PopupControl(settings => {
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "popupSubmit";
    settings.HeaderText = "Submit Confirmation";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(200);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(200);
    settings.SetContent(() => {
        Html.RenderPartial("PopupSubmit", null);
    });
}).GetHtml()

@Html.DevExpress().PopupControl(settings => {
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "popupNew";
    settings.HeaderText = "Add New Form";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(200);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(200);
    settings.SetContent(() => {
        Html.RenderPartial("PopupNew", null);
    });
}).GetHtml()

@Html.DevExpress().PopupControl(settings => {
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "popupSuccess";
    settings.HeaderText = "Submit Confirmation";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(320);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(60);
    settings.SetContent(() => {
        Html.RenderPartial("PopupSuccess", null);
    });
}).GetHtml()

@Html.DevExpress().PopupControl(settings => {
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "popupDelete";
    settings.HeaderText = "Delete Confirmation";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(320);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(60);
    settings.SetContent(() => {
        Html.RenderPartial("PopupDelete", null);
    });
}).GetHtml()